﻿@model IEnumerable<eCommerce.Services.Model.Image>
@using eCommerce.Services.Model
@using eCommerce.Services.Model.Enums

@{var predeterminada = "";}

<input type="hidden" id="erasedImages" name="erasedImages" value="" />

<div class="example" id="Imagenes">
    
    @{var contador = 0;}
    @foreach (Image imagen in Model)
    {
        contador++;
        <div class="form-group @imagen.IdImage">
            @if (imagen.Default)
            {
                <div class="col-sm-1">
                    <div class="row">
                        <label class="control-label pull-right">
                            Imagen @contador
                        </label>
                    </div>
                    <div class="row">

                        <div class="pull-right margin-vertical-10">
                            <button type="button" class="btn btn-primary btnPredeterminado" data-toggle="button"
                                    aria-pressed="false" autocomplete="off" style="padding-left : 0px ; padding-right : 0px ;
                                    padding-top: 0px ; padding-bottom : 0px ; width : 22px ; height: 22px ;"
                                    onclick="toggleclass(this);" disabled="disabled"
                                    id="@imagen.IdImage">
                                <span class="glyphicon glyphicon-ok" aria-hidden="true"></span>
                            
                            </button>
                        </div>

                    </div>
                </div>
                <div class="col-sm-4">
                    <input type="file" class="insertImage @imagen.IdImage" name="image"
                           data-plugin="dropify" data-default-file="@imagen.URL"
                           data-disable-remove="false" onblur="actualizarNombreImagen(this)"
                            onchange="borrarImagenGuardada(this)"/>
                </div>
                predeterminada = imagen.ImageName;
            }
            else
            {
                <div class="col-sm-1">
                    <div class="row">
                        <label class="control-label pull-right">
                            Imagen @contador
                        </label>
                    </div>
                    <div class="row">

                        <div class="pull-right margin-vertical-10">
                            <button type="button" class="btn btn-default btnPredeterminado" data-toggle="button"
                                    aria-pressed="false" autocomplete="off" style="padding-left : 0px ; padding-right : 0px ;
                                    padding-top: 0px ; padding-bottom : 0px ; 
                                    width : 22px ; height: 22px ;"
                                    onclick="toggleclass(this);"
                                    id="@imagen.IdImage">
                                <span class="glyphicon" aria-hidden="true"></span>
                            </button>
                        </div>

                    </div>
                </div>
                <div class="col-sm-4">
                    <input type="file" class="insertImage @imagen.IdImage" name="image"
                           data-plugin="dropify" data-default-file="@imagen.URL"
                           data-disable-remove="false" onblur="actualizarNombreImagen(this)"
                           onchange="borrarImagenGuardada(this)"/>
                </div>
            }
            <div class="form-group">
                <label class="col-sm-1 control-label lblColorId">Color</label>
                <div class="col-sm-2">
                    <select class="form-control js-image-color" name="ImageColorId_@contador" id="ImageColorId_@contador" data-plugin="select2">
                        <option value=""></option>
                        <option value="+">(+) Nuevo Color</option>
                        @if (TempData["Colors"] != null)
                        {
                            foreach (var item in (SelectList)TempData["Colors"])
                            {
                                <option value="@item.Value" @(item.Value == imagen.ColorId.ToString() ? "selected" : string.Empty)>@item.Text</option>
                            }
                        }
                    </select>
                </div>
                <label class="col-sm-1 control-label hidden">Tamaño</label>
                <div class="col-sm-2 hidden">
                    <select class="form-control" name="ImageOrientation_@contador" id="ImageOrientation_@contador" data-plugin="select2">
                        <option value="@((int)ImageOrientationEnum.Portrait)" @(imagen.Orientation == (int)ImageOrientationEnum.Portrait ? "selected" : string.Empty)>Normal</option>
                        <option value="@((int)ImageOrientationEnum.Landscape)" @(imagen.Orientation == (int)ImageOrientationEnum.Landscape ? "selected" : string.Empty)>Apaisada</option>
                       
                    </select>
                </div>
            </div>
        </div>
    }

    <input type="hidden" id="contadorImages" name="contadorImages" value="@contador" />
    <input type="hidden" id="defaultImageName" name="defaultImageName" value="@predeterminada" />

</div>

<div class="margin-15 row col-lg-12">
    <div class="pull-right" style="float:right">
        <button type="button" class="btn btn-primary btn-outline" id="BtnAgregarImagen"
                onclick="agregarImagen()">
            Agregar Imagen
        </button>
    </div>
</div>
